import { _ } from "./$";
import { LinuxConfig } from "./linux-config";
import { MacOSConfig } from "./macos-config";
import { WindowsConfig } from "./windows-config";
export type Config = ((LinuxConfig & {
    targetOperatingSystemPlatform: _.TargetOperatingSystemPlatform.Linux;
}) | (MacOSConfig & {
    targetOperatingSystemPlatform: _.TargetOperatingSystemPlatform.MacOS;
}) | (WindowsConfig & {
    targetOperatingSystemPlatform: _.TargetOperatingSystemPlatform.Windows;
}));
//# sourceMappingURL=config.d.ts.map